Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.processor
Class ProcessorFactory

    java.lang.Object
      gudusoft.gsqlparser.pp.processor.ProcessorFactory

    public class ProcessorFactory

extends java.lang.Object

a formattor para processor factory used for create the processor instance

Author:
  zhoujun

Constructor Summary
`ProcessorFactory()`

Method Summary
`static AppendNewLineAfterAndBeforeReverseKeyWordProcessor` | `appendNewLineAfterAndBeforeReverseKeyWordProcessor(GFmtOpt option, boolean inNewLine, java.lang.String startKeyword, java.lang.String endKeyword)` create the keyword in new line processor
`static AppendNewLineAfterReverseKeyWordProcessor` | `appendNewLineAfterReverseKeyWordProcessor(GFmtOpt option, boolean isItemInNewLine, java.lang.String keyword)` create the new line processor for item list
`static void` | `clear(java.lang.String sessionId)`
`static
`<E extends AbstractProcessor> E`
` | `create(java.lang.Class<E> type, GFmtOpt option, java.lang.Object... parameters)` create a instance
`static AlignAliasProcessor` | `createAlignAliasProcessor(GFmtOpt option, boolean option2, TAlignStyle style)` create the alias processor
`static AlterTableOptionItemAlignProcessor` | `createAlterTableOptionAlignProcessor(GFmtOpt option, boolean inNewLine)`
`static AppendLineAfterInsertTableNameProcessor` | `createAppendLineAfterInsertTableNameProcessor(GFmtOpt option)` create the processor used to append an new line after the table name
`static AppendNewLineBeforeKeyWordProcessor` | `createAppendNewLineBeforeKeyWordProcessor(GFmtOpt option, boolean inNewLine, java.lang.String keyword, boolean completely)`
`static AppendNewLineBeforeReverseKeyWordProcessor` | `createAppendNewLineBeforeReverseKeyWordProcessor(GFmtOpt option, boolean inNewLine, java.lang.String keyword)` create the processor used to append new line before the keyword
`static CapitalisationProcessor` | `createCapitalisationProcessor(GFmtOpt option)` create the processor used to capitalize the text
`static CaseWhenProcessor` | `createCaseWhenProcessor(GFmtOpt option, java.lang.Boolean caseWhenThenInSameLine, java.lang.Integer indentCaseFromSwitch)` create the processor used to process the 'case when' paramters
`static ColumnlistCommaProcessor` | `createColumnlistCommaProcessor(GFmtOpt option, TLinefeedsCommaOption commaOption, TAlignStyle option2)` create the comma processor
`static CombineWhitespaceAndClearReturnProcessor` | `createCombineWhitespaceAndClearReturnProcessor(GFmtOpt opt)`
`static CreateFuncFirstParamInNewlineProcessor` | `createCreateFuncFirstParamInNewlineProcessor(GFmtOpt opt, java.lang.Boolean beStyleFunctionFirstParamInNewline)`
`static CreateFuncLeftBEProcessor` | `createCreateFuncLeftBEProcessor(GFmtOpt opt, java.lang.Boolean beStyleFunctionLeftBEOnNewline, java.lang.Integer beStyleFunctionLeftBEIndentSize)`
`static CreateFuncReturnsTableProcessor` | `createCreateFuncReturnsTableProcessor(GFmtOpt opt)`
`static CreateFuncRightBEProcessor` | `createCreateFuncRightBEProcessor(GFmtOpt opt, java.lang.Boolean beStyleFunctionRightBEOnNewline, java.lang.Integer beStyleFunctionRightBEIndentSize)`
`static CreateFuncWSPaddingParenthesesProcessor` | `createCreateFuncWSPaddingParenthesesProcessor(GFmtOpt opt)`
`static CreateTableBEInNewLineProcessor` | `createCreateTableBEInNewLineProcessor(GFmtOpt option, java.lang.Boolean leftBEOnNewline, java.lang.Boolean rightBeOnNewline, java.lang.Boolean itemListInNewLine)` create the processor used to insert new line after the parenthesis
`static CreateTableConstraintAlignProcessor` | `createCreateTableConstraintAlignProcessor(GFmtOpt option)`
`static CreateTableItemAlignProcessor` | `createCreateTableItemAlignProcessor(GFmtOpt option, TAlignOption alignOption)` create the processor used to align the items
`static CreateViewReturnProcessor` | `createCreateViewReturnProcessor(GFmtOpt opt)`
`static CTEProcessor` | `createCTEProcessor(GFmtOpt option, java.lang.Boolean cteNewlineBeforeAs)`
`static DeclareVarItemAlignProcessor` | `createDeclareVarItemAlignProcessor(GFmtOpt option)` used to align the variable names
`static DeleteKeyWordAlignProcessor` | `createDeleteKeyWordAlignProcessor(GFmtOpt option)` create the processor used to align the keywords in the delete statement
`static DistinctKeyWordProcessor` | `createDistinctKeyWordProcessor(GFmtOpt option, boolean isTreatDistinctAsVirtualColumn)` create the distinct keyword processor
`static ExecParaNewLineProcessor` | `createExecParaNewLineProcessor(GFmtOpt opt, java.lang.Boolean linebreakBeforeParamInExec)`
`static ExpressionProcessor` | `createExpressionProcessor(GFmtOpt option)` create the expression processor for all statements
`static ExpressionProcessor` | `createExpressionProcessor(GFmtOpt option, java.lang.Boolean isAndUnderWhere)`
`static IfStmtBEProcessor` | `createIfStmtBEProcessor(GFmtOpt opt)`
`static InsertKeyWordAlignProcessor` | `createInsertKeyWordAlignProcessor(GFmtOpt option)` create the processor used to align the keywords in insert statement
`static InsertOutputClauseProcessor` | `createInsertOutputClauseProcessor(GFmtOpt opt)`
`static InsertValuesParenthsesAdjustProcessor` | `createInsertValuesParenthsesAdjustProcessor(GFmtOpt option)` create the processor used to adjust the left parenthesis
`static JoinOnProcessor` | `createJoinOnProcessor(GFmtOpt option, boolean selectFromclauseJoinOnInNewline, boolean alignJoinWithFromKeyword)` create the join on processor for the select statement
`static ReturnStmtProcessor` | `createReturnStmtProcessor(GFmtOpt opt)`
`static SelectKeyWordAlignProcessor` | `createSelectKeyWordAlignProcessor(GFmtOpt option)` create the processor used to align the keywords in select statement
`static UnionProcessor` | `createUnionProcessor(GFmtOpt option)` create the union processor for the select statement
`static UpdateKeyWordAlignProcessor` | `createUpdateKeyWordAlignProcessor(GFmtOpt option)` create the processor used to align the keywords in the update statement
`static
`<E extends AbstractProcessor> E`
` | `newInstance(java.lang.Class<E> type)` create a new processor instance

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorFactory

    public ProcessorFactory()

Method Detail

### createColumnlistCommaProcessor

    public static ColumnlistCommaProcessor createColumnlistCommaProcessor(GFmtOpt option,
                                                                          TLinefeedsCommaOption commaOption,
                                                                          TAlignStyle option2)

  create the comma processor

  Parameters:
    `option` -
  Returns:
    instance

### createAlignAliasProcessor

    public static AlignAliasProcessor createAlignAliasProcessor(GFmtOpt option,
                                                                boolean option2,
                                                                TAlignStyle style)

  create the alias processor

  Parameters:
    `option` -
  Returns:
    instance

### appendNewLineAfterReverseKeyWordProcessor

    public static AppendNewLineAfterReverseKeyWordProcessor appendNewLineAfterReverseKeyWordProcessor(GFmtOpt option,
                                                                                                      boolean isItemInNewLine,
                                                                                                      java.lang.String keyword)

  create the new line processor for item list

  Parameters:
    `option` -
  Returns:

### createDistinctKeyWordProcessor

    public static DistinctKeyWordProcessor createDistinctKeyWordProcessor(GFmtOpt option,
                                                                          boolean isTreatDistinctAsVirtualColumn)

  create the distinct keyword processor

  Parameters:
    `style` -
    `isItemInNewLine` -
    `isTreatDistinctAsVirtualColumn` -
  Returns:

### appendNewLineAfterAndBeforeReverseKeyWordProcessor

    public static AppendNewLineAfterAndBeforeReverseKeyWordProcessor appendNewLineAfterAndBeforeReverseKeyWordProcessor(GFmtOpt option,
                                                                                                                        boolean inNewLine,
                                                                                                                        java.lang.String startKeyword,
                                                                                                                        java.lang.String endKeyword)

  create the keyword in new line processor

  Parameters:
    `inNewLine` -
    `keyword` -
  Returns:

### createJoinOnProcessor

    public static JoinOnProcessor createJoinOnProcessor(GFmtOpt option,
                                                        boolean selectFromclauseJoinOnInNewline,
                                                        boolean alignJoinWithFromKeyword)

  create the join on processor for the select statement

  Parameters:
    `selectFromclauseJoinOnInNewline` -
  Returns:

### createUnionProcessor

    public static UnionProcessor createUnionProcessor(GFmtOpt option)

  create the union processor for the select statement

  Parameters:
    `option` -
  Returns:

### createExpressionProcessor

    public static ExpressionProcessor createExpressionProcessor(GFmtOpt option)

  create the expression processor for all statements

  Parameters:
    `option` -
  Returns:

### createExpressionProcessor

    public static ExpressionProcessor createExpressionProcessor(GFmtOpt option,
                                                                java.lang.Boolean isAndUnderWhere)

### createCaseWhenProcessor

    public static CaseWhenProcessor createCaseWhenProcessor(GFmtOpt option,
                                                            java.lang.Boolean caseWhenThenInSameLine,
                                                            java.lang.Integer indentCaseFromSwitch)

  create the processor used to process the 'case when' paramters

  Parameters:
    `option` -
    `caseWhenThenInSameLine` -
    `indentCaseFromSwitch` -
  Returns:

### createSelectKeyWordAlignProcessor

    public static SelectKeyWordAlignProcessor createSelectKeyWordAlignProcessor(GFmtOpt option)

  create the processor used to align the keywords in select statement

  Parameters:
    `option` -
  Returns:

### createInsertKeyWordAlignProcessor

    public static InsertKeyWordAlignProcessor createInsertKeyWordAlignProcessor(GFmtOpt option)

  create the processor used to align the keywords in insert statement

  Parameters:
    `option` -
  Returns:

### createAppendLineAfterInsertTableNameProcessor

    public static AppendLineAfterInsertTableNameProcessor createAppendLineAfterInsertTableNameProcessor(GFmtOpt option)

  create the processor used to append an new line after the table name

  Parameters:
    `option` -
  Returns:

### createCapitalisationProcessor

    public static CapitalisationProcessor createCapitalisationProcessor(GFmtOpt option)

  create the processor used to capitalize the text

  Parameters:
    `option` -
  Returns:

### createAppendNewLineBeforeReverseKeyWordProcessor

    public static AppendNewLineBeforeReverseKeyWordProcessor createAppendNewLineBeforeReverseKeyWordProcessor(GFmtOpt option,
                                                                                                              boolean inNewLine,
                                                                                                              java.lang.String keyword)

  create the processor used to append new line before the keyword

  Parameters:
    `option` -
    `fromClauseInNewLine` -
    `keyword` -
  Returns:

### createInsertValuesParenthsesAdjustProcessor

    public static InsertValuesParenthsesAdjustProcessor createInsertValuesParenthsesAdjustProcessor(GFmtOpt option)

  create the processor used to adjust the left parenthesis

  Parameters:
    `option` -
  Returns:

### createDeleteKeyWordAlignProcessor

    public static DeleteKeyWordAlignProcessor createDeleteKeyWordAlignProcessor(GFmtOpt option)

  create the processor used to align the keywords in the delete statement

  Parameters:
    `option` -
  Returns:

### createUpdateKeyWordAlignProcessor

    public static UpdateKeyWordAlignProcessor createUpdateKeyWordAlignProcessor(GFmtOpt option)

  create the processor used to align the keywords in the update statement

  Parameters:
    `option` -
  Returns:

### createCreateTableBEInNewLineProcessor

    public static CreateTableBEInNewLineProcessor createCreateTableBEInNewLineProcessor(GFmtOpt option,
                                                                                        java.lang.Boolean leftBEOnNewline,
                                                                                        java.lang.Boolean rightBeOnNewline,
                                                                                        java.lang.Boolean itemListInNewLine)

  create the processor used to insert new line after the parenthesis

  Parameters:
    `option` -
    `leftBEOnNewline` -
    `rightBeOnNewline` -
  Returns:

### createCreateTableItemAlignProcessor

    public static CreateTableItemAlignProcessor createCreateTableItemAlignProcessor(GFmtOpt option,
                                                                                    TAlignOption alignOption)

  create the processor used to align the items

  Parameters:
    `option` -
    `alignOption` -
  Returns:

### createCTEProcessor

    public static CTEProcessor createCTEProcessor(GFmtOpt option,
                                                  java.lang.Boolean cteNewlineBeforeAs)

### createDeclareVarItemAlignProcessor

    public static DeclareVarItemAlignProcessor createDeclareVarItemAlignProcessor(GFmtOpt option)

  used to align the variable names

  Parameters:
    `option` -
  Returns:

### createCreateTableConstraintAlignProcessor

    public static CreateTableConstraintAlignProcessor createCreateTableConstraintAlignProcessor(GFmtOpt option)

### createCombineWhitespaceAndClearReturnProcessor

    public static CombineWhitespaceAndClearReturnProcessor createCombineWhitespaceAndClearReturnProcessor(GFmtOpt opt)

### createInsertOutputClauseProcessor

    public static InsertOutputClauseProcessor createInsertOutputClauseProcessor(GFmtOpt opt)

### createExecParaNewLineProcessor

    public static ExecParaNewLineProcessor createExecParaNewLineProcessor(GFmtOpt opt,
                                                                          java.lang.Boolean linebreakBeforeParamInExec)

### createCreateFuncLeftBEProcessor

    public static CreateFuncLeftBEProcessor createCreateFuncLeftBEProcessor(GFmtOpt opt,
                                                                            java.lang.Boolean beStyleFunctionLeftBEOnNewline,
                                                                            java.lang.Integer beStyleFunctionLeftBEIndentSize)

### createCreateFuncRightBEProcessor

    public static CreateFuncRightBEProcessor createCreateFuncRightBEProcessor(GFmtOpt opt,
                                                                              java.lang.Boolean beStyleFunctionRightBEOnNewline,
                                                                              java.lang.Integer beStyleFunctionRightBEIndentSize)

### createCreateFuncFirstParamInNewlineProcessor

    public static CreateFuncFirstParamInNewlineProcessor createCreateFuncFirstParamInNewlineProcessor(GFmtOpt opt,
                                                                                                      java.lang.Boolean beStyleFunctionFirstParamInNewline)

### createCreateFuncReturnsTableProcessor

    public static CreateFuncReturnsTableProcessor createCreateFuncReturnsTableProcessor(GFmtOpt opt)

### createCreateFuncWSPaddingParenthesesProcessor

    public static CreateFuncWSPaddingParenthesesProcessor createCreateFuncWSPaddingParenthesesProcessor(GFmtOpt opt)

### createIfStmtBEProcessor

    public static IfStmtBEProcessor createIfStmtBEProcessor(GFmtOpt opt)

### createReturnStmtProcessor

    public static ReturnStmtProcessor createReturnStmtProcessor(GFmtOpt opt)

### createCreateViewReturnProcessor

    public static CreateViewReturnProcessor createCreateViewReturnProcessor(GFmtOpt opt)

### createAlterTableOptionAlignProcessor

    public static AlterTableOptionItemAlignProcessor createAlterTableOptionAlignProcessor(GFmtOpt option,
                                                                                          boolean inNewLine)

### createAppendNewLineBeforeKeyWordProcessor

    public static AppendNewLineBeforeKeyWordProcessor createAppendNewLineBeforeKeyWordProcessor(GFmtOpt option,
                                                                                                boolean inNewLine,
                                                                                                java.lang.String keyword,
                                                                                                boolean completely)

### create

    public static <E extends AbstractProcessor> E create(java.lang.Class<E> type,
                                                         GFmtOpt option,
                                                         java.lang.Object... parameters)

  create a instance

  Parameters:
    `type` -
  Returns:

### newInstance

    public static <E extends AbstractProcessor> E newInstance(java.lang.Class<E> type)

  create a new processor instance

  Parameters:
    `type` - the processor type
  Returns:
    insteance

### clear

    public static void clear(java.lang.String sessionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD